import * as cors from 'cors';
import * as express from 'express';

const app = require('./config/app');
const corsOptions = {
  origin: (origin: string, callback: Function) => {
    if (app.whitelist.indexOf(origin) !== -1) {
      callback(null, true);
    } else {
      callback(new Error(`Not allowed by CORS. Origin: ${origin}`));
    }
  }
};

const router = express.Router();

// application
const appController = require('./controllers/appController');
router.route(['/', '/home']).get(appController.home);

// auth
const authController = require('./controllers/authController');
router.route('/auth/user').post(cors(), authController.confirmToken);

module.exports = router;
